| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | List of all members
IG.Neural.NeuralAllpicationCommands Class Reference

Commands for application's interpreter for neural networks. More...

Inheritance diagram for IG.Neural.NeuralAllpicationCommands:
[legend]

## Static Public Member Functions
static void | InstallCommands (ICommandLineApplicationInterpreter app)
| Installs Tadejcommands for neural networks on the applications's command interpreter. More...
static string | cmdTestSerializationNeuralCSV (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Tests serialization and deserialization of various data used in approximation by neural networks. More...
static string | cmdTestSerializationNeural (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Tests serialization and deserialization of various data used in approximation by neural networks. More...
static string | CmdTestJson (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Tests speed of I/O in JSON format. A random matrix of specific size is randomly generated, read and written. Argumnets: inputFilePath: file path numRows: number of rows of the matrix numColumnt: number of columns of the matrix More...
static string | CmdTestFormat (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Tests file formats. Attempsts to import the specified file in the specified format, then to export it under new name. Argumnets: format: file format specification. Not case sensitive. NeuralDataDefinition inputFilePath: file path More...
static string | CmdSupplementNeuralDataDefinition (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command method that supplements neural input/output data definitions from training data (some values are inferred from data ranges in training data). More...
static string | CmdNeuralClearMessages (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Clears all messages for neural network approximation file client/server. More...
static string | CmdNeuralCalculateApproximationPlain (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Calculates approximation according to input parameters written in a file, and outputs resulting approximated values to a file. This command loads a neural network from the specified file, reads input parameters from another file, and writes output parameters to the third file. The first argument is the neural network file, the second is file with input parameters, and the third is file where approximated output values willl be written. More...
static string | CmdNeuralCalculateApproximationServer (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Calculates approximation according to input parameters written in a file, and outputs resulting approximated values to a file. The only argument is the client/server working directory. More...
static string | CmdNeuralCalculateApproximationClient (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Sends request to a server to calculate an approximation. The first argument is the client/server working directory, the second is file with input parameters, and the third is file where approximated output values willl be written More...
static string | CmdNeuralCalculateMappingApproximationServer (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Calculates mapping + approximation according to reduced input parameters written in a file, and outputs resulting approximated values to a file. The only argument is the client/server working directory. More...
static string | CmdNeuralCalculateMappingApproximationClient (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Sends request to a server to calculate mapping + approximation. The first argument is the client/server working directory, the second is file with reduced input parameters, and the third is file where approximated reduced output values willl be written More...
static string | CmdExampleNeural (ICommandLineApplicationInterpreter interpreter, string cmdName, string[] args)
| Command. Example command for Tadej. More...

## Detailed Description

Commands for application's interpreter for neural networks.

$A Igor Apr11;

## Member Function Documentation

static void IG.Neural.NeuralAllpicationCommands.InstallCommands | ( | ICommandLineApplicationInterpreter | app | ) |
| inline static

Installs Tadejcommands for neural networks on the applications's command interpreter.

References IG.Lib.ICommandLineApplicationInterpreter.AddCommand().

Referenced by IG.Neural.NeuralApplicationCommandsTadej.InstallCommands().

static string IG.Neural.NeuralAllpicationCommands.cmdTestSerializationNeuralCSV | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Tests serialization and deserialization of various data used in approximation by neural networks.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Tako78 7.Jul

References IG.Num.SampledDataSet.CreateExampleSimple(), IG.Num.SampledDataSet.LoadSampledDataCSV(), and IG.Num.SampledDataSet.SaveSampledDataCSV().

static string IG.Neural.NeuralAllpicationCommands.cmdTestSerializationNeural | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Tests serialization and deserialization of various data used in approximation by neural networks.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Tako78 7.Jul

References IG.Num.SampledDataSet.CreateExampleSimple(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, and IG.Lib.StopWatch1.TotalTime.

static string IG.Neural.NeuralAllpicationCommands.CmdTestJson | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Tests speed of I/O in JSON format. A random matrix of specific size is randomly generated, read and written. Argumnets: inputFilePath: file path numRows: number of rows of the matrix numColumnt: number of columns of the matrix

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Format of the file if test was performed, null otherwise.

References IG.Num.MatrixBase.LoadJson(), IG.Num.MatrixBase.SaveJson(), IG.Num.MatrixBase.SetRandom(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, and IG.Lib.StopWatch1.TotalTime.

static string IG.Neural.NeuralAllpicationCommands.CmdTestFormat | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Tests file formats. Attempsts to import the specified file in the specified format, then to export it under new name. Argumnets: format: file format specification. Not case sensitive. NeuralDataDefinition inputFilePath: file path

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Format of the file if test was performed, null otherwise.

static string IG.Neural.NeuralAllpicationCommands.CmdSupplementNeuralDataDefinition | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command method that supplements neural input/output data definitions from training data (some values are inferred from data ranges in training data).

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

References IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralClearMessages | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Clears all messages for neural network approximation file client/server.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

References IG.Neural.ApproximationFileServerNeural.ClearMessages().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationPlain | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Calculates approximation according to input parameters written in a file, and outputs resulting approximated values to a file. This command loads a neural network from the specified file, reads input parameters from another file, and writes output parameters to the third file. The first argument is the neural network file, the second is file with input parameters, and the third is file where approximated output values willl be written.

Parameters

  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

Interpreter command. Calculates approximation according to input parameters written in a file, and outputs resulting approximated values to a file. This command loads a neural network from the specified file, reads input parameters from another file, and writes the calculated output values to the third file. The first argument is the neural network file, the second is file with input parameters, and the third is file where approximated output values willl be written.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

References IG.Num.NeuralApproximatorBase.LoadJson(), IG.Num.VectorBase.LoadJson(), and IG.Num.VectorBase.SaveJson().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationServer | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Calculates approximation according to input parameters written in a file, and outputs resulting approximated values to a file. The only argument is the client/server working directory.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

References IG.Neural.NeuraApproximationFileManager.ClearNeuralBusy(), IG.Neural.NeuraApproximationFileManager.ClearNeuralOutputReady(), IG.Neural.ApproximationFileServerNeural.NeuralFileManager, IG.Neural.ApproximationFileServerNeural.ServerCalculateApproximation(), IG.Neural.NeuraApproximationFileManager.SetNeuralBusy(), and IG.Neural.NeuraApproximationFileManager.SetNeuralInputReady().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateApproximationClient | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Sends request to a server to calculate an approximation. The first argument is the client/server working directory, the second is file with input parameters, and the third is file where approximated output values willl be written

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

References IG.Neural.ApproximationFileServerNeural.ClientTestCalculateApproximation().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationServer | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Calculates mapping + approximation according to reduced input parameters written in a file, and outputs resulting approximated values to a file. The only argument is the client/server working directory.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

$A tako78 Jul.21

References IG.Neural.MappingApproximationFileManager.ClearFunctionOutputReady(), IG.Neural.NeuraApproximationFileManager.ClearNeuralBusy(), IG.Neural.NeuraApproximationFileManager.ClearNeuralOutputReady(), IG.Neural.MappingApproximationFileServerNeural.MappingFileManager, IG.Neural.ApproximationFileServerNeural.NeuralFileManager, IG.Neural.MappingApproximationFileServerNeural.ServerCalculateMappingApproximation(), IG.Neural.MappingApproximationFileManager.SetFunctionInputReady(), IG.Neural.NeuraApproximationFileManager.SetNeuralBusy(), and IG.Neural.NeuraApproximationFileManager.SetNeuralInputReady().

static string IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationClient | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Sends request to a server to calculate mapping + approximation. The first argument is the client/server working directory, the second is file with reduced input parameters, and the third is file where approximated reduced output values willl be written

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Null.

$A tako78 Jul.21

References IG.Neural.MappingApproximationFileServerNeural.ClientTestCalculateMappingApproximation().

static string IG.Neural.NeuralAllpicationCommands.CmdExampleNeural | ( | ICommandLineApplicationInterpreter | interpreter,
|  | string | cmdName,
|  | string[] | args
| ) |  |
| inline static

Command. Example command for Tadej.

Parameters

  interpreter | Interpreter on which commad is run.
  cmdName | Command name.
  AppArguments | Command arguments.

Returns
  Format of the file if test was performed, null otherwise.

The documentation for this class was generated from the following file:

- extensions/ann/LibNeural/application/NeuralApplicationCommands.cs